import { TSchedule } from '../../types/shim';
declare function createSchedule(options: TSchedule, runTask: () => void): boolean;
export declare function cancelSchedule(name: string): boolean;
export declare function renameSchedule(preName: string, name: string): boolean;
export declare function cancelAllSchedule(): void;
export declare function hasSchedule(name: string): boolean;
export default createSchedule;
